# This spec is backported to ALTLinux 4.1 automatically by rpmbh script. Do not edit it.
# Sorry, the game doesn't build with -O2 atm.
%define _optlevel 1

Name: wop
Version: 0.4.3
Release: alt1.qa1.M41.2

Summary: Worms of Prey is a cross-platform Worms clone.
License: %gpl2plus
Group: Games/Arcade

Url: http://wormsofprey.org
Packager: Alexey Rusakov <ktirf@altlinux.org>

Source: http://wormsofprey.org/download/%name-%version-src.tar.bz2
Source1: %name.desktop

Patch1: %name-0.4.3-fix-build.patch

%define sdl_ver 1.2
%define sdl_net_ver %sdl_ver.5
%define sdl_image_ver %sdl_ver
%define sdl_mixer_ver %sdl_ver
%define sdl_ttf 2.0

Requires: wop-data

#Requires: libSDL >= %sdl_ver
#Requires: libSDL_net >= %sdl_net_ver
#Requires: libSDL_image >= %sdl_image_ver
#Requires: libSDL_mixer >= %sdl_mixer_ver
#Requires: libSDL_ttf >= %sdl_ttf

BuildPreReq: rpm-build-licenses

BuildRequires: gcc-c++ xorg-x11-devel

BuildRequires: libSDL-devel >= %sdl_ver
BuildRequires: libSDL_net-devel >= %sdl_net_ver
BuildRequires: libSDL_image-devel >= %sdl_image_ver
BuildRequires: libSDL_mixer-devel >= %sdl_mixer_ver
BuildRequires: libSDL_ttf-devel >= %sdl_ttf

BuildRequires: rpm-build-compat >= 0.95

%description
Worms of Prey is a multi-player, real-time cross-platform clone of Team17's
Worms game, similar to Liero, NiL, or Wurmz. You control a little worm and
try to score as many frags as possible by shooting other worms or scoring
goals.

%description -l ru_RU.UTF8
Wörms of Prey - это кроссплатформенная игра, похожая на знаменитых Червяков
(Worms), написанных группой разработчиков Team17 для ОС Windows. В отличие
от оригинала, в WOP действие разворачивается в реальном времени; WOP похожа
на других "клонов" Worms, таких как Liero, NiL или Wurmz. Суть игры состоит
в том, что вы управляете маленьким червяком и пытаетесь получить как можно
больше очков, убивая других червяков или выполняя задания.

%prep
%setup -q
%patch1 -b .fix-build

%build
export CFLAGS="${CFLAGS:-%optflags}"
export CXXFLAGS="${CXXFLAGS:-%optflags}"
%make_build

%install
install -pD -m755 bin/%name %buildroot%_gamesbindir/%name
install -pD -m644 %SOURCE1 %buildroot%_desktopdir/%name.desktop

%postun -n wop
%clean_menus

%post -n wop
%update_menus

%files
%_gamesbindir/%name
%_desktopdir/*.desktop
%doc AUTHORS README README-Libraries.txt REVIEWS

%changelog
* Wed Nov 05 2008 Alexey Rusakov <ktirf@altlinux.org> 0.4.3-alt1.qa1.M41.2
- Backport to ALTLinux 4.1.
- Weird release number due to a collating mess with qa suffixes).

* Tue Nov 04 2008 Alexey Rusakov <ktirf@altlinux.org> 0.4.3-alt2
- Fixed building with g++ 4.3 (particularly, build with -O instead of -O3).
- Specify the license more exactly.
- Minor specfile cleanup.
- Fixed bugs found by repocop in desktop-file and specfile.

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.4.3-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for wop

* Sat Jul 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.4.3-alt1
- New version 0.4.3 (with rpmrb script).

* Wed Apr 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.3.2-alt2
- Removed Debian menu support.

* Mon Oct 24 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.3.2-alt1
- Initial Sisyphus package.

